org.eclnt.jsfserver.defaultscreens

## Class ObserverPopup

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.ObserverPopup

- All Implemented Interfaces:
    java.io.Serializable

      public class ObserverPopup
      extends java.lang.Object
      implements java.io.Serializable

  Modal popup that is opened for long running server activities.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ObserverPopup.LongPollerObserver` Object that is passed back to the application - the application can add messages from its long running processing.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObserverPopup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHeadline()`
    `java.lang.String` | `getLongPollingURL()`
    `boolean` | `getRenderedHttpPolling()`
    `boolean` | `getRenderedWebSocketPolling()`
    `java.lang.String` | `getText()`
    `void` | `onLongPollingAction(ActionEvent event)`
    `IObserver` | `prepare(java.lang.String headline)`
    `void` | `run(java.lang.Runnable r, java.lang.Runnable runnableWhenFinished)`
    `void` | `setHeadline(java.lang.String value)`
    `void` | `setText(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObserverPopup

          public ObserverPopup()

  - ### Method Detail

    - #### getRenderedHttpPolling

          public boolean getRenderedHttpPolling()

    - #### getRenderedWebSocketPolling

          public boolean getRenderedWebSocketPolling()

    - #### onLongPollingAction

          public void onLongPollingAction(ActionEvent event)

    - #### prepare

          public IObserver prepare(java.lang.String headline)

    - #### run

          public void run(java.lang.Runnable r,
                          java.lang.Runnable runnableWhenFinished)

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText(java.lang.String s)

    - #### setHeadline

          public void setHeadline(java.lang.String value)

    - #### getHeadline

          public java.lang.String getHeadline()

    - #### getLongPollingURL

          public java.lang.String getLongPollingURL()

Copyright © CaptainCasa Gmbh. All Rights Reserved.